Index: /ether_megapoli/trunk/web/data/access/extract.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/access/extract.jsp	(revision 161)
+++ /ether_megapoli/trunk/web/data/access/extract.jsp	(revision 161)
@@ -0,0 +1,426 @@
+<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
+<%@ page import="com.medias.Calcul"%>
+<%@ page import="java.util.ArrayList"%>
+<%@ page language="java" contentType="text/html; charset=UTF-8"%>
+<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
+<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
+<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
+<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
+<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>
+
+<tiles:insert page="/resources/templates/template.jsp" flush="true">
+
+	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>
+	<bean:define type="java.lang.String" id="contextPath" value="<%=request.getContextPath()%>"/>
+	<tiles:put name="nav" value='<%=relativePath+"/navDatas.jsp"%>'/>
+
+	<tiles:put name="title" type="string">
+		<bean:message key="app.title"/> - <bean:message key="data.access.extract"/>
+	</tiles:put>
+
+	<tiles:put name="bodytitle" type="string">
+		<bean:message key="data.access.extract"/>
+	</tiles:put>
+
+	<tiles:put name="body" type="string">
+		<%--bean:message key="errors.access.failed.sel"/><br/--%>
+		<span class="legende" style="font-size: 12px"><bean:message key="app.mandatory2"/></span><br/>
+		<div id="errors" style="font-size: 12px">
+			<div><html:errors property="latMax"/></div>
+			<div><html:errors property="lonMax"/></div>
+			<div><html:errors property="dateFin"/></div>
+		</div>
+		<div id="messages">
+			<html:messages id="mess" property="<%=org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE%>" message="true">
+				<bean:write name="mess"/>
+			</html:messages>
+		</div>
+
+		<html:form action="/DataSubmit">
+
+		<nested:root name="datasForm">
+		<table border="2" width="750px">
+			<tr><td width="250px" rowspan="2" valign="top">
+				<table bgcolor="#E6E6FA" width="100%">
+					<tr>
+						<th class="titleBox">
+							<input type="checkbox" onclick="selAll(this.checked,'selectPlats','nbPlatsTxt')" title="<bean:message key="data.access.selall"/>"/>
+							<bean:message key="data.access.plat"/> <span id="nbPlatsTxt" style="visibility: hidden;display: none">(<bean:write name="datasForm" property="nbSelectedPlats"/>)</span>
+						</th>
+					</tr>
+					<%--tr>
+						<th width="30px"><bean:message key="data.access.metadata.plat.type2"/></th>
+						<td><input type="checkbox" name="selTypePlat" onclick="selectTypePlat('${contextPath}',this.value,this.checked)" value="fix"><bean:message key="data.access.plat.fixe2"/>&nbsp;&nbsp;
+						<input type="checkbox" name="selTypePlat" onclick="selectTypePlat('${contextPath}',this.value,this.checked)" value="mob"><bean:message key="data.access.plat.mobile2"/></td>
+					</tr--%>
+					<tr>
+						<%--th width="30px" valign="top"><bean:message key="data.upload.metadata.plat.nom"/></th--%>
+						<td>
+							<%--html:select name="datasForm" property="selectPlats" multiple="true" size="3">
+								<nested:iterate property="plateformes" indexId="platId">
+									<nested:define id="idP" property="plateformeId"/>
+									<option value="${idP}" id="plat_${platId}"><nested:write property="plateformeNom"/></option>
+								</nested:iterate>
+							</html:select--%>
+							<div style="height: 150px; overflow: auto" id="listPlateformes">
+							<bean:define id="nomTypePlatPrec" value=""/>
+							<nested:iterate property="plateformes" indexId="platId">
+								<nested:nest property="typePlateforme">
+									<nested:define id="idTypePlat" property="typePlateformeId"/>
+									<nested:notEqual property="typePlateformeNom" value="${nomTypePlatPrec}">
+										<div class="titleType">
+											<input type="button" value="+" class="smallButton" onclick="affPlat(${idTypePlat})" id="plusPlat_${idTypePlat}"/>
+											<nested:equal property="typePlateformeNom" value="FIXED">
+												<bean:message key="data.access.plat.fixe2"/>
+											</nested:equal>
+											<nested:equal property="typePlateformeNom" value="MOBILE">
+												<bean:message key="data.access.plat.mobile2"/>
+											</nested:equal>
+										</div>
+									</nested:notEqual>
+									<nested:define id="nomTypePlatPrec" property="typePlateformeNom" type="java.lang.String"/>
+								</nested:nest>
+								<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(platId.intValue())%>"/>
+								<logic:equal name="parite" value="pair"><bean:define id="classPlat" value="pair"/></logic:equal>
+								<logic:equal name="parite" value="impair"><bean:define id="classPlat" value="impair"/></logic:equal>
+								<nested:define id="idP" property="plateformeId"/>
+								<table class="${classPlat}" id="plat_${idTypePlat}_${platId}" style="visibility: hidden; display: none;">
+									<tr>
+										<td nowrap style="font-size: 11px">
+											<html:multibox property="selectPlats" value="${idP}" onchange="selectElem(this.checked,'nbPlatsTxt')"/>
+											<html:link page="/DescPlateforme.do" titleKey="data.access.plat4" paramName="idP" paramId="idPlat">
+												<nested:write property="plateformeNom"/>
+											</html:link>
+										</td>
+									</tr>
+								</table>
+							</nested:iterate>
+							</div>
+						</td>
+					</tr>
+				</table>
+			</td><td width="250px" rowspan="2" valign="top">
+				<table bgcolor="#E6E6FA" width="100%">
+					<tr>
+						<th class="titleBox">
+							<input type="checkbox" onclick="selAll(this.checked,'selectJeux','nbJeuxTxt')" title="<bean:message key="data.access.selall"/>"/>
+							<bean:message key="data.access.jeux"/> <span id="nbJeuxTxt" style="visibility: hidden;display: none">(<bean:write name="datasForm" property="nbSelectedJeux"/>)</span>
+						</th>
+					</tr>
+					<tr>
+						<td>
+							<div style="height: 150px; overflow: auto" id="listJeux">
+							<bean:define id="nomCatJeuPrec" value=""/>
+							<nested:iterate property="jeux" indexId="jId">
+								<nested:nest property="categorie">
+									<nested:define id="idCatJeu" property="categorieId"/>
+									<nested:notEqual property="categorieNom" value="${nomCatJeuPrec}">
+										<div class="titleType">
+											<input type="button" value="+" class="smallButton" onclick="affJeu(${idCatJeu})" id="plusJeu_${idCatJeu}"/>
+											<nested:equal property="categorieNom" value="AVION">
+												<bean:message key="data.categ1"/>
+											</nested:equal>
+											<nested:equal property="categorieNom" value="SURF_FIXE">
+												<bean:message key="data.categ2"/>
+											</nested:equal>
+											<nested:equal property="categorieNom" value="SURF_MOBILE">
+												<bean:message key="data.categ3"/>
+											</nested:equal>
+										</div>
+									</nested:notEqual>
+									<nested:define id="nomCatJeuPrec" property="categorieNom" type="java.lang.String"/>
+								</nested:nest>
+								<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(jId.intValue())%>"/>
+								<logic:equal name="parite" value="pair"><bean:define id="classJeu" value="pair"/></logic:equal>
+								<logic:equal name="parite" value="impair"><bean:define id="classJeu" value="impair"/></logic:equal>
+								<nested:define id="idJ" property="jeuId"/>
+								<table class="${classJeu}" id="jeu_${idCatJeu}_${jId}" style="visibility: hidden; display: none;">
+									<tr>
+										<td nowrap style="font-size: 11px">
+											<html:multibox property="selectJeux" value="${idJ}" onchange="selectElem(this.checked,'nbJeuxTxt')"/>
+											<html:link page="/MetadataInfo.do" paramName="idJ" paramId="idJeu" titleKey="data.access.metadata.link">
+												<nested:write property="jeuNom"/>
+											</html:link>
+										</td>
+									</tr>
+								</table>
+							</nested:iterate>
+							</div>
+						</td>
+					</tr>
+				</table>
+			</td><td width="250px" valign="top">
+				<table width="100%">
+					<tr>
+						<th class="titleBox" colspan="3"><bean:message key="data.access.period"/> (<bean:message key="data.access.period.format"/>)</th>
+					</tr>
+					<tr>
+						<td width="50px" class="titleType"><bean:message key="data.access.period.beg"/> *</td>
+						<td width="100px">
+							<html:text property="dateDeb" size="10" maxlength="10" readonly="true" styleId="idDate1"/>
+						</td>
+						<td valign="middle">
+							<html:img page="/images/utils/calendar.gif" alt="cal" onclick="scwShowHide(scwID('idDate1'),event);"/>
+					    </td>
+					</tr>
+					<tr>
+						<td class="titleType"><bean:message key="data.access.period.end"/> *</td>
+						<td><html:text property="dateFin" size="10" maxlength="10" readonly="true" styleId="idDate2"/></td>
+						<td valign="middle">
+							<html:img page="/images/utils/calendar.gif" alt="cal" onclick="scwShowHide(scwID('idDate2'),event);"/>
+					    </td>
+					</tr>
+				</table>
+			</td></tr>
+			<tr><td valign="top">
+				<table width="100%">
+					<tr>
+						<th class="titleBox" colspan="2"><bean:message key="data.access.loc"/> (<bean:message key="data.access.loc.format"/>)</th>
+					</tr>
+					<tr>
+						<td class="titleType"><bean:message key="data.access.plat.lat"/> *</td>
+						<td class="titleType" nowrap><bean:message key="data.access.loc.inter"/> <html:text property="latMin" size="5"/> <bean:message key="data.access.loc.inter2"/> <html:text property="latMax" size="5"/></td>
+					</tr>
+					<tr>
+						<td class="titleType"><bean:message key="data.access.plat.lon"/> *</td>
+						<td class="titleType" nowrap><bean:message key="data.access.loc.inter"/> <html:text property="lonMin" size="5"/> <bean:message key="data.access.loc.inter2"/> <html:text property="lonMax" size="5"/></td>
+					</tr>
+				</table>
+			</td></tr>
+			<tr><td width="500px" colspan="2" valign="top">
+				<table bgcolor="#E6E6FA" width="100%">
+					<tr>
+						<th class="titleBox">
+							<input type="checkbox" onclick="selAll(this.checked,'selectParams','nbParamsTxt')" title="<bean:message key="data.access.selall"/>"/>
+							<bean:message key="data.access.param"/> <span id="nbParamsTxt" style="visibility: hidden;display: none">(<bean:write name="datasForm" property="nbSelectedParams"/>)</span>
+						</th>
+					</tr>
+					<tr>
+						<td>
+							<div style="height: 200px; overflow: auto" id="listParametres">
+							<bean:define id="nomCat1Prec" value=""/>
+							<bean:define id="nomCat2Prec" value=""/>
+							<bean:define id="nomCat3Prec" value=""/>
+							<bean:define id="nomCat4Prec" value=""/>
+							<bean:define id="idCat1" value="0"/>
+							<bean:define id="idCat2" value="0"/>
+							<bean:define id="idCat3" value="0"/>
+							<bean:define id="idCat4" value="0"/>
+							<nested:iterate property="parametres" indexId="paramId">
+								<nested:nest property="categorieParam">
+									<nested:notEqual property="cat1" value="${nomCat1Prec}">
+										<bean:define id="idCat1" value="<%=Calcul.inc(idCat1)%>"/>
+										<bean:define id="paramLevel" value="${idCat1}-0-0-0"/>
+										<div class="titleType">
+											<input type="button" value="-" class="smallButton" onclick="affParam(${idCat1},0,0,0,1,this.value)" id="plusParam_${paramLevel}"/>
+											<nested:write property="cat1"/>
+										</div>
+										<nested:notEmpty property="cat2">
+											<nested:notEqual property="cat2" value="${nomCat2Prec}">
+												<bean:define id="idCat2" value="<%=Calcul.inc(idCat2)%>"/>
+												<bean:define id="paramLevel" value="${idCat1}-${idCat2}-0-0"/>
+												<div class="titleType" style="margin-left: 15px" id="catParam_${paramLevel}">
+													<input type="button" value="+" class="smallButton" onclick="affParam(${idCat1},${idCat2},0,0,2,this.value)" id="plusParam_${paramLevel}"/>
+													<nested:write property="cat2"/>
+												</div>
+												<nested:notEmpty property="cat3">
+													<nested:notEqual property="cat3" value="${nomCat3Prec}">
+														<bean:define id="idCat3" value="<%=Calcul.inc(idCat3)%>"/>
+														<bean:define id="paramLevel" value="${idCat1}-${idCat2}-${idCat3}-0"/>
+														<div class="titleType" style="margin-left: 30px; visibility: hidden; display: none;" id="catParam_${paramLevel}">
+															<input type="button" value="+" class="smallButton" onclick="affParam(${idCat1},${idCat2},${idCat3},0,3,this.value)" id="plusParam_${paramLevel}"/>
+															<nested:write property="cat3"/>
+														</div>
+														<nested:notEmpty property="cat4">
+															<nested:notEqual property="cat4" value="${nomCat4Prec}">
+																<bean:define id="idCat4" value="<%=Calcul.inc(idCat4)%>"/>
+																<bean:define id="paramLevel" value="${idCat1}-${idCat2}-${idCat3}-${idCat4}"/>
+																<div class="titleType" style="margin-left: 45px; visibility: hidden; display: none;" id="catParam_${paramLevel}">
+																	<input type="button" value="+" class="smallButton" onclick="affParam(${idCat1},${idCat2},${idCat3},${idCat4},4,this.value)" id="plusParam_${paramLevel}"/>
+																	<nested:write property="cat4"/>
+																</div>
+															</nested:notEqual>
+														</nested:notEmpty>
+													</nested:notEqual>
+												</nested:notEmpty>
+											</nested:notEqual>
+										</nested:notEmpty>
+									</nested:notEqual>
+									<nested:equal property="cat1" value="${nomCat1Prec}">
+										<nested:notEmpty property="cat2">
+											<nested:notEqual property="cat2" value="${nomCat2Prec}">
+												<bean:define id="idCat2" value="<%=Calcul.inc(idCat2)%>"/>
+												<bean:define id="paramLevel" value="${idCat1}-${idCat2}-0-0"/>
+												<div class="titleType" style="margin-left: 15px" id="catParam_${paramLevel}">
+													<input type="button" value="+" class="smallButton" onclick="affParam(${idCat1},${idCat2},0,0,2,this.value)" id="plusParam_${paramLevel}"/>
+													<nested:write property="cat2"/>
+												</div>
+												<nested:notEmpty property="cat3">
+													<nested:notEqual property="cat3" value="${nomCat3Prec}">
+														<bean:define id="idCat3" value="<%=Calcul.inc(idCat3)%>"/>
+														<bean:define id="paramLevel" value="${idCat1}-${idCat2}-${idCat3}-0"/>
+														<div class="titleType" style="margin-left: 30px; visibility: hidden; display: none;" id="catParam_${paramLevel}">
+															<input type="button" value="+" class="smallButton" onclick="affParam(${idCat1},${idCat2},${idCat3},0,3,this.value)" id="plusParam_${paramLevel}"/>
+															<nested:write property="cat3"/>
+														</div>
+														<nested:notEmpty property="cat4">
+															<nested:notEqual property="cat4" value="${nomCat4Prec}">
+																<bean:define id="idCat4" value="<%=Calcul.inc(idCat4)%>"/>
+																<bean:define id="paramLevel" value="${idCat1}-${idCat2}-${idCat3}-${idCat4}"/>
+																<div class="titleType" style="margin-left: 45px; visibility: hidden; display: none;" id="catParam_${paramLevel}">
+																	<input type="button" value="+" class="smallButton" onclick="affParam(${idCat1},${idCat2},${idCat3},${idCat4},4,this.value)" id="plusParam_${paramLevel}"/>
+																	<nested:write property="cat4"/>
+																</div>
+															</nested:notEqual>
+														</nested:notEmpty>
+													</nested:notEqual>
+												</nested:notEmpty>
+											</nested:notEqual>
+											<nested:equal property="cat2" value="${nomCat2Prec}">
+												<nested:notEmpty property="cat3">
+													<nested:notEqual property="cat3" value="${nomCat3Prec}">
+														<bean:define id="idCat3" value="<%=Calcul.inc(idCat3)%>"/>
+														<bean:define id="paramLevel" value="${idCat1}-${idCat2}-${idCat3}-0"/>
+														<div class="titleType" style="margin-left: 30px; visibility: hidden; display: none;" id="catParam_${paramLevel}">
+															<input type="button" value="+" class="smallButton" onclick="affParam(${idCat1},${idCat2},${idCat3},0,3,this.value)" id="plusParam_${paramLevel}"/>
+															<nested:write property="cat3"/>
+														</div>
+														<nested:notEmpty property="cat4">
+															<nested:notEqual property="cat4" value="${nomCat4Prec}">
+																<bean:define id="idCat4" value="<%=Calcul.inc(idCat4)%>"/>
+																<bean:define id="paramLevel" value="${idCat1}-${idCat2}-${idCat3}-${idCat4}"/>
+																<div class="titleType" style="margin-left: 45px; visibility: hidden; display: none;" id="catParam_${paramLevel}">
+																	<input type="button" value="+" class="smallButton" onclick="affParam(${idCat1},${idCat2},${idCat3},${idCat4},4,this.value)" id="plusParam_${paramLevel}"/>
+																	<nested:write property="cat4"/>
+																</div>
+															</nested:notEqual>
+														</nested:notEmpty>
+													</nested:notEqual>
+													<nested:equal property="cat3" value="${nomCat3Prec}">
+														<nested:notEmpty property="cat4">
+															<nested:notEqual property="cat4" value="${nomCat4Prec}">
+																<bean:define id="idCat4" value="<%=Calcul.inc(idCat4)%>"/>
+																<bean:define id="paramLevel" value="${idCat1}-${idCat2}-${idCat3}-${idCat4}"/>
+																<div class="titleType" style="margin-left: 45px; visibility: hidden; display: none;" id="catParam_${paramLevel}">
+																	<input type="button" value="+" class="smallButton" onclick="affParam(${idCat1},${idCat2},${idCat3},${idCat4},4,this.value)" id="plusParam_${paramLevel}"/>
+																	<nested:write property="cat4"/>
+																</div>
+															</nested:notEqual>
+														</nested:notEmpty>
+													</nested:equal>
+												</nested:notEmpty>
+											</nested:equal>
+										</nested:notEmpty>
+									</nested:equal>
+									<nested:define id="nomCat1Prec" property="cat1" type="java.lang.String"/>
+									<nested:define id="nomCat2Prec" property="cat2" type="java.lang.String"/>
+									<nested:define id="nomCat3Prec" property="cat3" type="java.lang.String"/>
+									<nested:define id="nomCat4Prec" property="cat4" type="java.lang.String"/>
+								</nested:nest>
+								<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(paramId.intValue())%>"/>
+								<logic:equal name="parite" value="pair"><bean:define id="classParam" value="pair"/></logic:equal>
+								<logic:equal name="parite" value="impair"><bean:define id="classParam" value="impair"/></logic:equal>
+								<nested:define id="idPar" property="parametreId"/>
+								<logic:match name="paramLevel" value="-0-0-0">
+									<bean:define id="decal" value="0"/>
+								</logic:match>
+								<logic:notMatch name="paramLevel" value="-0-0-0">
+									<logic:match name="paramLevel" value="-0-0">
+										<bean:define id="decal" value="15"/>
+									</logic:match>
+									<logic:notMatch name="paramLevel" value="-0-0">
+										<logic:match name="paramLevel" value="-0">
+											<bean:define id="decal" value="30"/>
+										</logic:match>
+										<logic:notMatch name="paramLevel" value="-0">
+											<bean:define id="decal" value="45"/>
+										</logic:notMatch>
+									</logic:notMatch>
+								</logic:notMatch>
+								<table class="${classParam}" id="param_${paramLevel}_${paramId}" style="visibility: hidden; display: none; margin-left: ${decal}px">
+									<tr>
+										<td nowrap style="font-size: 11px">
+											<html:multibox property="selectParams" value="${idPar}" onchange="selectElem(this.checked,'nbParamsTxt')"/>
+											<html:link page="/DescParametre.do" titleKey="data.access.param4" paramName="idPar" paramId="idParam">
+												<nested:write property="parametreNom"/> (<nested:write property="parametreCode"/>)
+											</html:link>
+										</td>
+									</tr>
+								</table>
+							</nested:iterate>
+							</div>
+						</td>
+					</tr>
+				</table>
+			</td><td width="250px" valign="top">
+				<table bgcolor="#E6E6FA" width="100%">
+					<tr>
+						<th class="titleBox">
+							<input type="checkbox" onclick="selAll(this.checked,'selectCapts','nbCaptsTxt')" title="<bean:message key="data.access.selall"/>"/>
+							<bean:message key="data.access.capt"/> <span id="nbCaptsTxt" style="visibility: hidden;display: none">(<bean:write name="datasForm" property="nbSelectedCapts"/>)</span>
+						</th>
+					</tr>
+					<tr>
+						<td>
+							<div style="height: 200px; overflow: auto" id="listCapteurs">
+							<bean:define id="nomTypeCaptPrec" value=""/>
+							<nested:iterate property="capteurs" indexId="captId">
+								<nested:nest property="typeCapteur">
+									<nested:define id="idTypeCapt" property="typeCapteurId"/>
+									<nested:notEqual property="typeCapteurNom" value="${nomTypeCaptPrec}">
+										<div class="titleType"><input type="button" value="+" class="smallButton" onclick="affCapt(${idTypeCapt})" id="plusCapt_${idTypeCapt}"/>&nbsp;<nested:write property="typeCapteurNom"/></div>
+									</nested:notEqual>
+									<nested:define id="nomTypeCaptPrec" property="typeCapteurNom" type="java.lang.String"/>
+								</nested:nest>
+								<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(captId.intValue())%>"/>
+								<logic:equal name="parite" value="pair"><bean:define id="classCapt" value="pair"/></logic:equal>
+								<logic:equal name="parite" value="impair"><bean:define id="classCapt" value="impair"/></logic:equal>
+								<nested:define id="idC" property="capteurId"/>
+								<table class="${classCapt}" id="capt_${idTypeCapt}_${captId}" style="visibility: hidden; display: none;">
+									<tr>
+										<td nowrap style="font-size: 11px">
+											<html:multibox property="selectCapts" value="${idC}" onchange="selectElem(this.checked,'nbCaptsTxt')"/>
+											<html:link page="/DescCapteur.do" titleKey="data.access.capt4" paramName="idC" paramId="idCapt">
+												<nested:equal property="capteurModele" value="UNKNOWN">
+													<nested:notEqual property="fabriquant.fabriquantNom" value="UNKNOWN">
+														<nested:write property="fabriquant.fabriquantNom"/>
+													</nested:notEqual>
+													<nested:equal property="fabriquant.fabriquantNom" value="UNKNOWN">
+														Unknown
+													</nested:equal>
+												</nested:equal>
+												<nested:notEqual property="capteurModele" value="UNKNOWN">
+													<nested:write property="capteurModele"/>
+													<nested:notEqual property="fabriquant.fabriquantNom" value="UNKNOWN">
+														- <nested:write property="fabriquant.fabriquantNom"/>
+													</nested:notEqual>
+												</nested:notEqual>
+											</html:link>
+										</td>
+									</tr>
+								</table>
+							</nested:iterate>
+							</div>
+						</td>
+					</tr>
+				</table>
+			</td></tr>
+		</table>
+		<table width="750px">
+			<tr><td class="legende" align="left" style="font-size: 10px">
+				* <bean:message key="app.mandatory"/>
+			</td><td align="right">
+				<%--html:cancel><bean:message key="app.cancel"/></html:cancel--%>
+				<html:reset onclick="resetExtractForm()"><bean:message key="app.reset"/></html:reset>
+				<html:submit><bean:message key="app.submit"/></html:submit>
+			</td></tr>
+		</table>
+		<%--div class="hdp" align="right">
+			<html:link page="/data/access/extract.jsp" anchor="top" titleKey="app.hdp">
+				<html:img page="/images/utils/hdp1.png"/>
+			</html:link>
+		</div--%>
+		</nested:root>
+		</html:form>
+	</tiles:put>
+</tiles:insert>
